Skip to main content
GET
/
api
/
svc
/
v1
/
model-catalogues
/
deployment-specs
Get Deployment Specifications
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/model-catalogues/deployment-specs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "displayName": "<string>",
      "description": "<string>",
      "openAPIDescription": "<string>",
      "deployments": [
        {
          "name": "<string>",
          "spec": {},
          "isAvailableInWorkspace": true,
          "cost": {},
          "isTRTLLMEngineAvailable": true
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string
required

Workspace Id

modelVersionFqn
string | null

FQN of the Model Version

huggingfaceHubUrl
string | null

huggingface hub url

huggingfaceHubTokenSecretFqn
string | null

Huggingface hub token secret

pipelineTagOverride
string | null

The pipeline tag of the model for which deployment spec is being generated

Response

Returns deployment specifications for the model version or HuggingFace model URL

data
ModelServerOption · object[]
required

Array of ModelDeploymentSpec